@echo off
COLOR 3F
title Creo 2 Start
mode 60,15
REM ********************************************
REM Startskript mit PTC Creo 2.0 
REM fuer Zulieferer
REM Rolf Weingart, ZORWE, 02.10.2014
REM ********************************************

REM --- History ---

REM 02.10.2014 ZORWE: Skript fr Creo 2 erstellt
REM 06.10.2014 ZORWE: Variablen CZ_CAD_CONFIGPATH und CZ_CAD_COUNTRY ergaenzt
REM --- History ---

REM *** Variablen fr ADM Umgebung ***
set ADMPATH=%ZEISS_ENVIRONMENT%\Pro_ADM


REM *** Variablen fuer Creo Installation ***
set CZ_CAD_ROOT=%ZEISS_ENVIRONMENT%\CZ_CAD
set CREO_START_PSF=%CREO_STARTKEY%
set LANG=german
set CZ_CAD_VERSION=Creo 2.0
rem set PTC_HELP_CENTER_URL=P:\pro_dok\Creo 2.0\Help\help\creo_help\

REM *** Setzen config PFADE ***
set CONFIG_DIR=%ADMPATH%\config\Creo 2.0
set CZ_CAD_CONFIGPATH=%CONFIG_DIR%
set CZ_CAD_COUNTRY=DE

REM *** Setzen Creo PFADE ***
set CREO_INST_DIR=%CREO_PATH%\Creo 2.0\Parametric
set CREO_COMMON_DIR=%CREO_PATH%\Creo 2.0\Common Files

set CREO_START_CMD="%CREO_INST_DIR%\bin\parametric.bat"
REM set CREO_START_CMD="%CREO_INST_DIR%\bin\parametric.exe" "%CREO_INST_DIR%\bin\%CREO_START_PSF%" %*

for /F "tokens=3 delims=\ usebackq" %%A IN (`findstr "%%cf%%" "%CREO_INST_DIR%\bin\ptcstatus.bat"`)DO set CZ_CAD_SHIPCODE=%%A


REM *** Loeschen der Konfiguration aus der Installation ***
del "%CREO_COMMON_DIR%\%CZ_CAD_SHIPCODE%\text\config.pro"
del "%CREO_COMMON_DIR%\%CZ_CAD_SHIPCODE%\text\config.sup"
REM del "%CREO_COMMON_DIR%\%CZ_CAD_SHIPCODE%\text\creo_parametric_admin_customization.ui"

REM *** Kopieren der Konfiguration vom Server ***
copy /y "%CONFIG_DIR%\config.pro"+"%CONFIG_DIR%\config.mapkey" "%CREO_COMMON_DIR%\%CZ_CAD_SHIPCODE%\text\config.pro"
copy /y "%CONFIG_DIR%\config.sup" "%CREO_COMMON_DIR%\%CZ_CAD_SHIPCODE%\text\config.sup"
REM copy /y "%CONFIG_DIR%\creo_parametric_admin_customization.ui" "%CREO_COMMON_DIR%\%CZ_CAD_SHIPCODE%\text\creo_parametric_admin_customization.ui"

REM *** Starten von Creo 2.0 ***

cd "%CREO_INST_DIR%\bin\"
call parametric.bat
rem %CREO_START_CMD%

close
exit